org.eclipse.cdt.utils.elf

## Class ElfHelper.Sizes

- java.lang.Object
- - org.eclipse.cdt.utils.elf.ElfHelper.Sizes

Enclosing class:
  ElfHelper

    public class ElfHelper.Sizes
    extends Object

### Field Summary

Fields
`long` `bss`
`long` `data`
`long` `text`
`long` `total`

### Constructor Summary

Constructors
Constructor and Description
`Sizes(long t, long d, long b)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### text

    public long text

#### data

    public long data

#### bss

    public long bss

#### total

    public long total

### Constructor Detail

#### Sizes

    public Sizes(long t,
                 long d,
                 long b)